#ifndef _SHELL_HPP
#define _SHELL_HPP

#include "commandes.hpp"
#include "video.hpp"
#include "iostream.hpp"

class Shell
{
	private:
		Commandes com;
		int numShell;
		char * langage;
		int BufferVideo[4200];
		int emplacement;
		bool first;
		void clearBuffer();
		char chaine[200];
		int emplacementChaine;
		unsigned char colorShell;
		void scroll(Video& v); /* remonte l'ecran de 1 ligne */
	public:
		Shell();
		void initialize(Video& v,unsigned char color = unblink(BG_BLACK | FG_GREEN),char * num = "0");
		void draw(Video &v,unsigned char color = unblink(BG_BLACK|FG_BLUE),char * num = "0");
		void saveBuffer(Video& v);
		void setTouche(char touche,Video& v);
		void setColor(unsigned char col);
		unsigned char getColor();
};

#endif
