#include "../headers/types.h"
#include "../headers/sys.h"

#define PAS 294
void * adresseVideo;
void updateClock();
char* horlogeScreen = (char*)(0xB8000);
unsigned int nbSecondes = 0;
unsigned int nbMinutes = 0;
unsigned int nbHeures = 0;

char TabClock[10] = {'0','1','2','3','4','5','6','7','8','9'};


void setAdresseVideo(void * _adresseVideo)
{
	adresseVideo = _adresseVideo;
}

void testCPP(void * v);

/* Variables globale */
char ch = 'B';
unsigned int time = 0;

void updateClock() /* a mettre dans un fichier */
{
	if(nbSecondes == 59)
	{
		nbSecondes = 0;
		horlogeScreen[PAS+16] = '0';
		horlogeScreen[PAS+18] = '0';
		if(nbMinutes == 59)
		{
			nbMinutes = 0;
			horlogeScreen[PAS+10] = '0';
			horlogeScreen[PAS+12] = '0';
			
			if(nbHeures == 24)
			{
				nbHeures = 0;
				horlogeScreen[PAS+4] = '0';
				horlogeScreen[PAS+6] = '0';
			}
			else
			{
				nbHeures++;
			}
		}
		else
		{
			nbMinutes++;
		}
	}
	else
	{
		nbSecondes++;
	}
	
	horlogeScreen[PAS+16] = TabClock[(int)(nbSecondes/10)];
	horlogeScreen[PAS+18] = TabClock[(int)(nbSecondes%10)];

	horlogeScreen[PAS+10] = TabClock[(int)(nbMinutes/10)];
	horlogeScreen[PAS+12] = TabClock[(int)(nbMinutes%10)];

	horlogeScreen[PAS+4] = TabClock[(int)(nbHeures/10)];
	horlogeScreen[PAS+6] = TabClock[(int)(nbHeures%10)];

	horlogeScreen[PAS+8] = 'h';
	horlogeScreen[PAS+14] = 'm';
}


/* Routine par defaut pour traiter les interruptions */
void idt_default_int(void) {
	;
}

void idt_int0(void) {
	;
}
void idt_int1(void) {
	;
}
void idt_int2(void) {
	;
}
void idt_int3(void) {
	; 
}
void idt_int4(void) {
	;
}
void idt_int5(void) {
	;
}
void idt_int6(void) {
	;
}
void idt_int7(void) {
	;
}
void idt_int8(void) {
	; 
}
void idt_int9(void) {
	; 
}
void idt_int10(void) {
	;
}
void idt_int11(void) {
	;
}
void idt_int12(void) {
	;
}
void idt_int13(void) {
	;
}
void idt_int14(void) {
	;
}
void idt_int15(void) {
	; 
}
void idt_int16(void) {
	; 
}
void idt_int17(void) {
	;
}
void idt_int18(void) {
	;
}



void idt_irq0(void) {
	time++;
	if((time%100) == 0)
		updateClock(); /* rajoute une seconde a l'horloge */
	/* appel methode schreduler */
}
void idt_irq2(void) {
	; 
}
void idt_irq3(void) {
	;
}
void idt_irq4(void) {
	;
}
void idt_irq5(void) {
	;
}
void idt_irq6(void) {
	;
}
void idt_irq7(void) {
	;
}
void idt_irq8(void) {
#if 0	
	testCPP(adresseVideo);
#endif
}
