#include "../headers/shell.hpp"
#include "../headers/strutil.hpp"


Shell::Shell(){
	first = true;
	emplacement = 0;
	clearBuffer();
	for(int i=0;i< 200;i++)
		chaine[i] = '\0';
	emplacementChaine = 0;
}

void Shell::scroll(Video& vid)
{
	__asm("cli");
	if(vid.getEmplacement() > 1840)
	while(vid.getEmplacement() > 1919)
	{
		for(int i = 480;i<3860;i++)
			vid.setPixel(i,vid.getPixel(i+160));
			int svg = vid.getEmplacement()-80;
		vid.setEmplacement(svg);
		for(int i = 80;i>0;i--)
			vid.put(' ',colorShell);
		vid.setEmplacement(svg);
	}
	__asm("sti");
}

void Shell::setColor(unsigned char coul)
{
	colorShell = coul;
}

unsigned char Shell::getColor()
{
	return colorShell;
}

void Shell::setTouche(char touche,Video& v){

	if(static_cast<int>('\n')== static_cast<int>(touche))
	{
		emplacementChaine = 0;
		v << std::endl;
		com.execute(chaine);
		for(int i=0;i< 200;i++)
			chaine[i] = '\0';
	}
	else
	{
		if(0x08 == touche)
		{
			if(emplacementChaine > 0)
			{
				chaine[emplacementChaine] = '\0';
				emplacementChaine--;
				v << touche;
			}
		}
		else
			if(emplacementChaine < 199)
			{
				chaine[emplacementChaine] = touche;
				emplacementChaine++;
				v << touche;
			}
	}
	scroll(v);
}

void Shell::initialize(Video& vid,unsigned char color,char* num){
	colorShell = color;
	com.setArg(vid,colorShell);
	vid << color << "--------------------------------------------------------------------------------";
	vid << color <<  "|  FR  |                      |    Shell "<< color << num << color <<"     |                   |           |";
	vid << color <<  "--------------------------------------------------------------------------------";
	vid << color << "$>>";
	emplacement = vid.getEmplacement();
}

void Shell::draw(Video& v,unsigned char color,char* nb){
	v.clear();
	if(first)
	{
		first = false;
		initialize(v,color,nb);
	}
	else // sinon on affiche le shell
	{
		for(int i = 0;i<4000;i++)
			v.setPixel(i,BufferVideo[i]);
		v.setEmplacement(emplacement);
	}
}

void Shell::clearBuffer(){
	for(int pos = 0; pos < 2100; pos++) {
		this->BufferVideo[2 * pos] = 32;
		this->BufferVideo[2 * pos + 1] = unblink(BG_BLACK | FG_WHITE);
	}
}

void Shell::saveBuffer(Video& vid){
	clearBuffer();
	for(int i = 0;i<4000;i++)
			BufferVideo[i] = vid.getPixel(i);
	emplacement = vid.getEmplacement();
}
